Is Splashtop FIPS compliant or certified?

For FIPS compliance, Splashtop servers support FIPS-validated cryptographic modules.  To configure Splashtop to use the FIPS-validated cryptographic modules, you need to set a Windows registry or download a FIPS-compliant application.

Requirements:

  • Splashtop Streamer or SOS app 3.3.2.0 or later
  • Splashtop On-Prem app 3.3.2.0 or later

Unattended Access (Remote Support or Remote Access)

Steps to enable FIPS modules (Windows)

  1. On the local computer with the On-Prem app, set the registry:
    Computer\HKEY_CURRENT_USER\Software\Splashtop Inc.\Splashtop Remote Client for STE OP\EnableFIPS to "1" (DWORD)
  2. On the streamer (host/remote) computer with the streamer installed, set this registry: Computer\HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Splashtop Inc.\Splashtop Remote Server\EnableFIPS to "1" (DWORD)

Steps to enable FIPS modules (Mac):

  1. On the streamer (host/remote) computer with the streamer installed, update the ~/Library/preferences/com.splashtop.Splashtop-Streamer.plist file.  
    • under the STP section, EnableFIPS=YES (boolean)

Attended Access (SOS)

Steps to enable FIPS modules (Windows):

  1. On the local computer with the On-Prem app, set the registry:
    Computer\HKEY_CURRENT_USER\Software\Splashtop Inc.\Splashtop Remote Client for STE OP\EnableFIPS to "1" (DWORD)
  2. On the host/remote computer (end-customer computer)
  3. Log into Splashtop Gateway web portal as Team Owner, and go to System > Software SOS. Click Upload to upload the Windows FIPS SOS PKG into the system. 
  4. Download Windows FIPS SOS app in SOS page.

Steps to enable FIPS modules (Mac):

  1. On the host/remote computer (end-customer computer)
  2. Log into Splashtop Gateway web portal as Team Owner, and go to System > Software SOS. Click Upload to upload the Mac FIPS SOS PKG into the system. 
  3. Download Mac FIPS SOS app in SOS page.

Splashtop uses the FIPS validated/certified OpenSSL module, which is the unmodified certified source code, for this configuration to be FIPS compliant.

Note: Compatible with Gateway v3.8.9, v3.8.12, v3.12.6, v3.14.1

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.